> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password

> Reset password using a valid reset token.

Validates the token, updates the password, and invalidates all refresh tokens.

Args:
    request: Reset token and new password.
    reset_service: Password reset service dependency.

Returns:
    Success message.

Raises:
    HTTPException: 400 if token is invalid, expired, or already used.



## OpenAPI

````yaml post /api/v1/auth/reset-password
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/reset-password:
    post:
      tags:
        - auth
      summary: Reset Password
      description: >-
        Reset password using a valid reset token.


        Validates the token, updates the password, and invalidates all refresh
        tokens.


        Args:
            request: Reset token and new password.
            reset_service: Password reset service dependency.

        Returns:
            Success message.

        Raises:
            HTTPException: 400 if token is invalid, expired, or already used.
      operationId: reset_password_api_v1_auth_reset_password_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetPasswordRequest'
        required: true
      responses:
        '200':
          description: Password reset successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResetPasswordResponse'
        '400':
          description: Invalid, expired, or used token
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResetPasswordRequest:
      properties:
        token:
          type: string
          title: Token
          description: Password reset token
        new_password:
          type: string
          minLength: 8
          title: New Password
          description: New password (min 8 characters)
      type: object
      required:
        - token
        - new_password
      title: ResetPasswordRequest
      description: Request body for reset password.
    ResetPasswordResponse:
      properties:
        message:
          type: string
          title: Message
          description: Success message
      type: object
      required:
        - message
      title: ResetPasswordResponse
      description: Response for successful password reset.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````